# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-CheckChanges
Summary:	Check that the Changes file matches the distribution
Version:	0.14
Release:	20.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-CheckChanges/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GA/GAM/Test-CheckChanges-%{version}.tar.gz 
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Glob)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Module::Build::Version)
BuildRequires:	perl(Test::Builder)
# Test Suite
BuildRequires:	perl(English)
BuildRequires:	perl(Test::More) >= 0.88
# Optional Tests
BuildRequires:	perl(Perl::Critic::Policy::NamingConventions::Capitalization)
BuildRequires:	perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitMagicNumbers)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Module::Build::Version)

%description
This module checks that your Changes file has an entry for the current version
of the Module being tested. The version information for the distribution being
tested is taken out of the Build data, or if that is not found, out of the
Makefile. It then attempts to open, in order, a file with the name Changes or
CHANGES. The Changes file is then parsed for version numbers. If one and only
one of the version numbers matches, the test passes; otherwise the test fails.
A message with the current version is printed if the test passes; otherwise
diagnostic messages are printed to help explain the failure.

%prep
%setup -q -n Test-CheckChanges-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
TEST_AUTHOR=1 ./Build test

%files
%doc Changes README examples/
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::CheckChanges.3*

%changelog
* Wed Apr 11 2018 Paul Howarth <paul@city-fan.org> - 0.14-20
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.88

* Thu Sep 29 2016 Paul Howarth <paul@city-fan.org> - 0.14-16
- BR: perl-generators where available

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.14-12
- Perl 5.20 rebuild

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 0.14-11
- Specify all dependencies (#1134856)
- Drop %%defattr, redundant since rpm 4.4

* Sat Jul 14 2012 Paul Howarth <paul@city-fan.org> - 0.14-5
- BR:/R: perl(Module::Build::Version)
- BR: perl(Carp), perl(Cwd), perl(English), perl(File::Spec) and
  perl(Test::Builder)
- Drop support for old distributions prior to FC-3:
  - BR: perl(Test::Perl::Critic) unconditionally
  - Don't need to define %%{perl_vendorlib}
  - Don't need to run test suite with LC_ALL=C

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> - 0.14-3
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri May  6 2011 Paul Howarth <paul@city-fan.org> - 0.14-1
- Initial RPM version
